=== debian/control ===
Source: ignition-launch2
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               doxygen,
               libignition-cmake2-dev,
               libignition-common3-dev,
               libignition-gazebo3-dev (>= 3.4.0),
               libignition-gui3-dev,
               libignition-msgs5-dev,
               libignition-plugin-dev,
               libignition-tools-dev,
               libignition-transport8-dev,
               libsdformat9-dev,
               libtinyxml2-dev,
               libwebsockets-dev,
               qtquickcontrols2-5-dev,
               libqt5core5a,
               binutils-dev
Vcs-Browser: https://github.com/ignition-release/ign-launch2-release
Vcs-Hg: https://github.com/ignition-release/ign-launch2-release
Homepage: https://github.com/ignition-release/ign-launch2

Package: libignition-launch2
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Launch Library - Launch libraries

Package: libignition-launch2-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
	 libignition-common3-dev,
	 libignition-gazebo3-dev (>= 3.4.0),
	 libignition-gui3-dev,
	 libignition-msgs5-dev,
	 libignition-plugin-dev,
	 libignition-tools-dev,
	 libignition-transport8-dev,
	 libtinyxml2-dev ,
	 libwebsockets-dev,
	 qtquickcontrols2-5-dev,
	 libqt5core5a,
	 libignition-launch2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Launch Library - Launch libraries
  Ignition Common is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
