=== debian/changelog ===
ignition-launch2 (2.3.0-1~focal) focal; urgency=medium

  * ignition-launch2 2.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Aug 2022 09:56:08 -0700

ignition-launch2 (2.2.2-1~focal) focal; urgency=medium

  * ignition-launch2 2.2.2-1 release

 -- Nate Koenig <nate@openrobotics.org>  Mon, 11 Oct 2021 17:18:14 -0700

ignition-launch2 (2.2.1-1~focal) focal; urgency=medium

  * ignition-launch2 2.2.1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Fri, 08 Jan 2021 13:07:48 -0700

ignition-launch2 (2.2.0-1~focal) focal; urgency=medium

  * ignition-launch2 2.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 16 Nov 2020 09:47:41 -0800

ignition-launch2 (2.1.0-1~focal) focal; urgency=medium

  * ignition-launch2 2.1.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Thu, 21 May 2020 05:26:23 -0700

ignition-launch2 (2.0.1-3~focal) focal; urgency=medium

  * ignition-launch2 2.0.1-3 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 26 Feb 2020 12:51:39 -0800
