## ignition-launch2 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-launch2 VERSION 2.3.0)
+project(ignition-launch2 VERSION 2.3.1)
 
 #============================================================================
 # Find ignition-cmake
